Jeff Thompson | 39128c6 | 2013-06-19 14:08:51 -0700 | [diff] [blame] | 1 | # Makefile.in generated by automake 1.13.3 from Makefile.am. |
| 2 | # @configure_input@ |
| 3 | |
| 4 | # Copyright (C) 1994-2013 Free Software Foundation, Inc. |
| 5 | |
| 6 | # This Makefile.in is free software; the Free Software Foundation |
| 7 | # gives unlimited permission to copy and/or distribute it, |
| 8 | # with or without modifications, as long as this notice is preserved. |
| 9 | |
| 10 | # This program is distributed in the hope that it will be useful, |
| 11 | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| 12 | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| 13 | # PARTICULAR PURPOSE. |
| 14 | |
| 15 | @SET_MAKE@ |
| 16 | |
| 17 | |
| 18 | VPATH = @srcdir@ |
| 19 | am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' |
| 20 | am__make_running_with_option = \ |
| 21 | case $${target_option-} in \ |
| 22 | ?) ;; \ |
| 23 | *) echo "am__make_running_with_option: internal error: invalid" \ |
| 24 | "target option '$${target_option-}' specified" >&2; \ |
| 25 | exit 1;; \ |
| 26 | esac; \ |
| 27 | has_opt=no; \ |
| 28 | sane_makeflags=$$MAKEFLAGS; \ |
| 29 | if $(am__is_gnu_make); then \ |
| 30 | sane_makeflags=$$MFLAGS; \ |
| 31 | else \ |
| 32 | case $$MAKEFLAGS in \ |
| 33 | *\\[\ \ ]*) \ |
| 34 | bs=\\; \ |
| 35 | sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ |
| 36 | | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ |
| 37 | esac; \ |
| 38 | fi; \ |
| 39 | skip_next=no; \ |
| 40 | strip_trailopt () \ |
| 41 | { \ |
| 42 | flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ |
| 43 | }; \ |
| 44 | for flg in $$sane_makeflags; do \ |
| 45 | test $$skip_next = yes && { skip_next=no; continue; }; \ |
| 46 | case $$flg in \ |
| 47 | *=*|--*) continue;; \ |
| 48 | -*I) strip_trailopt 'I'; skip_next=yes;; \ |
| 49 | -*I?*) strip_trailopt 'I';; \ |
| 50 | -*O) strip_trailopt 'O'; skip_next=yes;; \ |
| 51 | -*O?*) strip_trailopt 'O';; \ |
| 52 | -*l) strip_trailopt 'l'; skip_next=yes;; \ |
| 53 | -*l?*) strip_trailopt 'l';; \ |
| 54 | -[dEDm]) skip_next=yes;; \ |
| 55 | -[JT]) skip_next=yes;; \ |
| 56 | esac; \ |
| 57 | case $$flg in \ |
| 58 | *$$target_option*) has_opt=yes; break;; \ |
| 59 | esac; \ |
| 60 | done; \ |
| 61 | test $$has_opt = yes |
| 62 | am__make_dryrun = (target_option=n; $(am__make_running_with_option)) |
| 63 | am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) |
| 64 | pkgdatadir = $(datadir)/@PACKAGE@ |
| 65 | pkgincludedir = $(includedir)/@PACKAGE@ |
| 66 | pkglibdir = $(libdir)/@PACKAGE@ |
| 67 | pkglibexecdir = $(libexecdir)/@PACKAGE@ |
| 68 | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| 69 | install_sh_DATA = $(install_sh) -c -m 644 |
| 70 | install_sh_PROGRAM = $(install_sh) -c |
| 71 | install_sh_SCRIPT = $(install_sh) -c |
| 72 | INSTALL_HEADER = $(INSTALL_DATA) |
| 73 | transform = $(program_transform_name) |
| 74 | NORMAL_INSTALL = : |
| 75 | PRE_INSTALL = : |
| 76 | POST_INSTALL = : |
| 77 | NORMAL_UNINSTALL = : |
| 78 | PRE_UNINSTALL = : |
| 79 | POST_UNINSTALL = : |
| 80 | bin_PROGRAMS = test1$(EXEEXT) |
| 81 | subdir = . |
| 82 | DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \ |
| 83 | $(top_srcdir)/configure $(am__configure_deps) \ |
| 84 | $(srcdir)/config.h.in $(dist_noinst_SCRIPTS) depcomp \ |
| 85 | install-sh missing |
| 86 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| 87 | am__aclocal_m4_deps = $(top_srcdir)/configure.ac |
| 88 | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| 89 | $(ACLOCAL_M4) |
| 90 | am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ |
| 91 | configure.lineno config.status.lineno |
| 92 | mkinstalldirs = $(install_sh) -d |
| 93 | CONFIG_HEADER = config.h |
| 94 | CONFIG_CLEAN_FILES = |
| 95 | CONFIG_CLEAN_VPATH_FILES = |
| 96 | am__installdirs = "$(DESTDIR)$(bindir)" |
| 97 | PROGRAMS = $(bin_PROGRAMS) |
| 98 | am__dirstamp = $(am__leading_dot)dirstamp |
| 99 | am_test1_OBJECTS = test/test1.$(OBJEXT) |
| 100 | test1_OBJECTS = $(am_test1_OBJECTS) |
| 101 | test1_LDADD = $(LDADD) |
| 102 | SCRIPTS = $(dist_noinst_SCRIPTS) |
| 103 | AM_V_P = $(am__v_P_@AM_V@) |
| 104 | am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) |
| 105 | am__v_P_0 = false |
| 106 | am__v_P_1 = : |
| 107 | AM_V_GEN = $(am__v_GEN_@AM_V@) |
| 108 | am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) |
| 109 | am__v_GEN_0 = @echo " GEN " $@; |
| 110 | am__v_GEN_1 = |
| 111 | AM_V_at = $(am__v_at_@AM_V@) |
| 112 | am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) |
| 113 | am__v_at_0 = @ |
| 114 | am__v_at_1 = |
| 115 | DEFAULT_INCLUDES = -I.@am__isrc@ |
| 116 | depcomp = $(SHELL) $(top_srcdir)/depcomp |
| 117 | am__depfiles_maybe = depfiles |
| 118 | am__mv = mv -f |
| 119 | CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ |
| 120 | $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) |
| 121 | AM_V_CXX = $(am__v_CXX_@AM_V@) |
| 122 | am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@) |
| 123 | am__v_CXX_0 = @echo " CXX " $@; |
| 124 | am__v_CXX_1 = |
| 125 | CXXLD = $(CXX) |
| 126 | CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \ |
| 127 | -o $@ |
| 128 | AM_V_CXXLD = $(am__v_CXXLD_@AM_V@) |
| 129 | am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@) |
| 130 | am__v_CXXLD_0 = @echo " CXXLD " $@; |
| 131 | am__v_CXXLD_1 = |
| 132 | SOURCES = $(test1_SOURCES) |
| 133 | DIST_SOURCES = $(test1_SOURCES) |
| 134 | am__can_run_installinfo = \ |
| 135 | case $$AM_UPDATE_INFO_DIR in \ |
| 136 | n|no|NO) false;; \ |
| 137 | *) (install-info --version) >/dev/null 2>&1;; \ |
| 138 | esac |
| 139 | am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \ |
| 140 | $(LISP)config.h.in |
| 141 | # Read a list of newline-separated strings from the standard input, |
| 142 | # and print each of them once, without duplicates. Input order is |
| 143 | # *not* preserved. |
| 144 | am__uniquify_input = $(AWK) '\ |
| 145 | BEGIN { nonempty = 0; } \ |
| 146 | { items[$$0] = 1; nonempty = 1; } \ |
| 147 | END { if (nonempty) { for (i in items) print i; }; } \ |
| 148 | ' |
| 149 | # Make sure the list of sources is unique. This is necessary because, |
| 150 | # e.g., the same source file might be shared among _SOURCES variables |
| 151 | # for different programs/libraries. |
| 152 | am__define_uniq_tagged_files = \ |
| 153 | list='$(am__tagged_files)'; \ |
| 154 | unique=`for i in $$list; do \ |
| 155 | if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| 156 | done | $(am__uniquify_input)` |
| 157 | ETAGS = etags |
| 158 | CTAGS = ctags |
| 159 | CSCOPE = cscope |
| 160 | AM_RECURSIVE_TARGETS = cscope |
| 161 | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) |
| 162 | distdir = $(PACKAGE)-$(VERSION) |
| 163 | top_distdir = $(distdir) |
| 164 | am__remove_distdir = \ |
| 165 | if test -d "$(distdir)"; then \ |
| 166 | find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \ |
| 167 | && rm -rf "$(distdir)" \ |
| 168 | || { sleep 5 && rm -rf "$(distdir)"; }; \ |
| 169 | else :; fi |
| 170 | am__post_remove_distdir = $(am__remove_distdir) |
| 171 | DIST_ARCHIVES = $(distdir).tar.gz |
| 172 | GZIP_ENV = --best |
| 173 | DIST_TARGETS = dist-gzip |
| 174 | distuninstallcheck_listfiles = find . -type f -print |
| 175 | am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \ |
| 176 | | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$' |
| 177 | distcleancheck_listfiles = find . -type f -print |
| 178 | ACLOCAL = @ACLOCAL@ |
| 179 | AMTAR = @AMTAR@ |
| 180 | AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ |
| 181 | AUTOCONF = @AUTOCONF@ |
| 182 | AUTOHEADER = @AUTOHEADER@ |
| 183 | AUTOMAKE = @AUTOMAKE@ |
| 184 | AWK = @AWK@ |
| 185 | CPPFLAGS = @CPPFLAGS@ |
| 186 | CXX = @CXX@ |
| 187 | CXXDEPMODE = @CXXDEPMODE@ |
| 188 | CXXFLAGS = @CXXFLAGS@ |
| 189 | CYGPATH_W = @CYGPATH_W@ |
| 190 | DEFS = @DEFS@ |
| 191 | DEPDIR = @DEPDIR@ |
| 192 | ECHO_C = @ECHO_C@ |
| 193 | ECHO_N = @ECHO_N@ |
| 194 | ECHO_T = @ECHO_T@ |
| 195 | EXEEXT = @EXEEXT@ |
| 196 | INSTALL = @INSTALL@ |
| 197 | INSTALL_DATA = @INSTALL_DATA@ |
| 198 | INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| 199 | INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| 200 | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| 201 | LDFLAGS = @LDFLAGS@ |
| 202 | LIBOBJS = @LIBOBJS@ |
| 203 | LIBS = @LIBS@ |
| 204 | LTLIBOBJS = @LTLIBOBJS@ |
| 205 | MAKEINFO = @MAKEINFO@ |
| 206 | MKDIR_P = @MKDIR_P@ |
| 207 | OBJEXT = @OBJEXT@ |
| 208 | PACKAGE = @PACKAGE@ |
| 209 | PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| 210 | PACKAGE_NAME = @PACKAGE_NAME@ |
| 211 | PACKAGE_STRING = @PACKAGE_STRING@ |
| 212 | PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| 213 | PACKAGE_URL = @PACKAGE_URL@ |
| 214 | PACKAGE_VERSION = @PACKAGE_VERSION@ |
| 215 | PATH_SEPARATOR = @PATH_SEPARATOR@ |
| 216 | SET_MAKE = @SET_MAKE@ |
| 217 | SHELL = @SHELL@ |
| 218 | STRIP = @STRIP@ |
| 219 | VERSION = @VERSION@ |
| 220 | abs_builddir = @abs_builddir@ |
| 221 | abs_srcdir = @abs_srcdir@ |
| 222 | abs_top_builddir = @abs_top_builddir@ |
| 223 | abs_top_srcdir = @abs_top_srcdir@ |
| 224 | ac_ct_CXX = @ac_ct_CXX@ |
| 225 | am__include = @am__include@ |
| 226 | am__leading_dot = @am__leading_dot@ |
| 227 | am__quote = @am__quote@ |
| 228 | am__tar = @am__tar@ |
| 229 | am__untar = @am__untar@ |
| 230 | bindir = @bindir@ |
| 231 | build_alias = @build_alias@ |
| 232 | builddir = @builddir@ |
| 233 | datadir = @datadir@ |
| 234 | datarootdir = @datarootdir@ |
| 235 | docdir = @docdir@ |
| 236 | dvidir = @dvidir@ |
| 237 | exec_prefix = @exec_prefix@ |
| 238 | host_alias = @host_alias@ |
| 239 | htmldir = @htmldir@ |
| 240 | includedir = @includedir@ |
| 241 | infodir = @infodir@ |
| 242 | install_sh = @install_sh@ |
| 243 | libdir = @libdir@ |
| 244 | libexecdir = @libexecdir@ |
| 245 | localedir = @localedir@ |
| 246 | localstatedir = @localstatedir@ |
| 247 | mandir = @mandir@ |
| 248 | mkdir_p = @mkdir_p@ |
| 249 | oldincludedir = @oldincludedir@ |
| 250 | pdfdir = @pdfdir@ |
| 251 | prefix = @prefix@ |
| 252 | program_transform_name = @program_transform_name@ |
| 253 | psdir = @psdir@ |
| 254 | sbindir = @sbindir@ |
| 255 | sharedstatedir = @sharedstatedir@ |
| 256 | srcdir = @srcdir@ |
| 257 | sysconfdir = @sysconfdir@ |
| 258 | target_alias = @target_alias@ |
| 259 | top_build_prefix = @top_build_prefix@ |
| 260 | top_builddir = @top_builddir@ |
| 261 | top_srcdir = @top_srcdir@ |
| 262 | AUTOMAKE_OPTIONS = subdir-objects |
| 263 | ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS} |
| 264 | test1_SOURCES = test/test1.cpp |
| 265 | dist_noinst_SCRIPTS = autogen.sh |
| 266 | all: config.h |
| 267 | $(MAKE) $(AM_MAKEFLAGS) all-am |
| 268 | |
| 269 | .SUFFIXES: |
| 270 | .SUFFIXES: .cpp .o .obj |
| 271 | am--refresh: Makefile |
| 272 | @: |
| 273 | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) |
| 274 | @for dep in $?; do \ |
| 275 | case '$(am__configure_deps)' in \ |
| 276 | *$$dep*) \ |
| 277 | echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \ |
| 278 | $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \ |
| 279 | && exit 0; \ |
| 280 | exit 1;; \ |
| 281 | esac; \ |
| 282 | done; \ |
| 283 | echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \ |
| 284 | $(am__cd) $(top_srcdir) && \ |
| 285 | $(AUTOMAKE) --foreign Makefile |
| 286 | .PRECIOUS: Makefile |
| 287 | Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| 288 | @case '$?' in \ |
| 289 | *config.status*) \ |
| 290 | echo ' $(SHELL) ./config.status'; \ |
| 291 | $(SHELL) ./config.status;; \ |
| 292 | *) \ |
| 293 | echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \ |
| 294 | cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \ |
| 295 | esac; |
| 296 | |
| 297 | $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| 298 | $(SHELL) ./config.status --recheck |
| 299 | |
| 300 | $(top_srcdir)/configure: $(am__configure_deps) |
| 301 | $(am__cd) $(srcdir) && $(AUTOCONF) |
| 302 | $(ACLOCAL_M4): $(am__aclocal_m4_deps) |
| 303 | $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) |
| 304 | $(am__aclocal_m4_deps): |
| 305 | |
| 306 | config.h: stamp-h1 |
| 307 | @if test ! -f $@; then rm -f stamp-h1; else :; fi |
| 308 | @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi |
| 309 | |
| 310 | stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status |
| 311 | @rm -f stamp-h1 |
| 312 | cd $(top_builddir) && $(SHELL) ./config.status config.h |
| 313 | $(srcdir)/config.h.in: $(am__configure_deps) |
| 314 | ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) |
| 315 | rm -f stamp-h1 |
| 316 | touch $@ |
| 317 | |
| 318 | distclean-hdr: |
| 319 | -rm -f config.h stamp-h1 |
| 320 | install-binPROGRAMS: $(bin_PROGRAMS) |
| 321 | @$(NORMAL_INSTALL) |
| 322 | @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ |
| 323 | if test -n "$$list"; then \ |
| 324 | echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \ |
| 325 | $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \ |
| 326 | fi; \ |
| 327 | for p in $$list; do echo "$$p $$p"; done | \ |
| 328 | sed 's/$(EXEEXT)$$//' | \ |
| 329 | while read p p1; do if test -f $$p \ |
| 330 | ; then echo "$$p"; echo "$$p"; else :; fi; \ |
| 331 | done | \ |
| 332 | sed -e 'p;s,.*/,,;n;h' \ |
| 333 | -e 's|.*|.|' \ |
| 334 | -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \ |
| 335 | sed 'N;N;N;s,\n, ,g' | \ |
| 336 | $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \ |
| 337 | { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \ |
| 338 | if ($$2 == $$4) files[d] = files[d] " " $$1; \ |
| 339 | else { print "f", $$3 "/" $$4, $$1; } } \ |
| 340 | END { for (d in files) print "f", d, files[d] }' | \ |
| 341 | while read type dir files; do \ |
| 342 | if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \ |
| 343 | test -z "$$files" || { \ |
| 344 | echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \ |
| 345 | $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \ |
| 346 | } \ |
| 347 | ; done |
| 348 | |
| 349 | uninstall-binPROGRAMS: |
| 350 | @$(NORMAL_UNINSTALL) |
| 351 | @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \ |
| 352 | files=`for p in $$list; do echo "$$p"; done | \ |
| 353 | sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \ |
| 354 | -e 's/$$/$(EXEEXT)/' \ |
| 355 | `; \ |
| 356 | test -n "$$list" || exit 0; \ |
| 357 | echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \ |
| 358 | cd "$(DESTDIR)$(bindir)" && rm -f $$files |
| 359 | |
| 360 | clean-binPROGRAMS: |
| 361 | -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS) |
| 362 | test/$(am__dirstamp): |
| 363 | @$(MKDIR_P) test |
| 364 | @: > test/$(am__dirstamp) |
| 365 | test/$(DEPDIR)/$(am__dirstamp): |
| 366 | @$(MKDIR_P) test/$(DEPDIR) |
| 367 | @: > test/$(DEPDIR)/$(am__dirstamp) |
| 368 | test/test1.$(OBJEXT): test/$(am__dirstamp) \ |
| 369 | test/$(DEPDIR)/$(am__dirstamp) |
| 370 | |
| 371 | test1$(EXEEXT): $(test1_OBJECTS) $(test1_DEPENDENCIES) $(EXTRA_test1_DEPENDENCIES) |
| 372 | @rm -f test1$(EXEEXT) |
| 373 | $(AM_V_CXXLD)$(CXXLINK) $(test1_OBJECTS) $(test1_LDADD) $(LIBS) |
| 374 | |
| 375 | mostlyclean-compile: |
| 376 | -rm -f *.$(OBJEXT) |
| 377 | -rm -f test/*.$(OBJEXT) |
| 378 | |
| 379 | distclean-compile: |
| 380 | -rm -f *.tab.c |
| 381 | |
| 382 | @AMDEP_TRUE@@am__include@ @am__quote@test/$(DEPDIR)/test1.Po@am__quote@ |
| 383 | |
| 384 | .cpp.o: |
| 385 | @am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\ |
| 386 | @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\ |
| 387 | @am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| 388 | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| 389 | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| 390 | @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $< |
| 391 | |
| 392 | .cpp.obj: |
| 393 | @am__fastdepCXX_TRUE@ $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\ |
| 394 | @am__fastdepCXX_TRUE@ $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\ |
| 395 | @am__fastdepCXX_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po |
| 396 | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| 397 | @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| 398 | @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'` |
| 399 | |
| 400 | ID: $(am__tagged_files) |
| 401 | $(am__define_uniq_tagged_files); mkid -fID $$unique |
| 402 | tags: tags-am |
| 403 | TAGS: tags |
| 404 | |
| 405 | tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| 406 | set x; \ |
| 407 | here=`pwd`; \ |
| 408 | $(am__define_uniq_tagged_files); \ |
| 409 | shift; \ |
| 410 | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| 411 | test -n "$$unique" || unique=$$empty_fix; \ |
| 412 | if test $$# -gt 0; then \ |
| 413 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| 414 | "$$@" $$unique; \ |
| 415 | else \ |
| 416 | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| 417 | $$unique; \ |
| 418 | fi; \ |
| 419 | fi |
| 420 | ctags: ctags-am |
| 421 | |
| 422 | CTAGS: ctags |
| 423 | ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) |
| 424 | $(am__define_uniq_tagged_files); \ |
| 425 | test -z "$(CTAGS_ARGS)$$unique" \ |
| 426 | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| 427 | $$unique |
| 428 | |
| 429 | GTAGS: |
| 430 | here=`$(am__cd) $(top_builddir) && pwd` \ |
| 431 | && $(am__cd) $(top_srcdir) \ |
| 432 | && gtags -i $(GTAGS_ARGS) "$$here" |
| 433 | cscope: cscope.files |
| 434 | test ! -s cscope.files \ |
| 435 | || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS) |
| 436 | clean-cscope: |
| 437 | -rm -f cscope.files |
| 438 | cscope.files: clean-cscope cscopelist |
| 439 | cscopelist: cscopelist-am |
| 440 | |
| 441 | cscopelist-am: $(am__tagged_files) |
| 442 | list='$(am__tagged_files)'; \ |
| 443 | case "$(srcdir)" in \ |
| 444 | [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ |
| 445 | *) sdir=$(subdir)/$(srcdir) ;; \ |
| 446 | esac; \ |
| 447 | for i in $$list; do \ |
| 448 | if test -f "$$i"; then \ |
| 449 | echo "$(subdir)/$$i"; \ |
| 450 | else \ |
| 451 | echo "$$sdir/$$i"; \ |
| 452 | fi; \ |
| 453 | done >> $(top_builddir)/cscope.files |
| 454 | |
| 455 | distclean-tags: |
| 456 | -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| 457 | -rm -f cscope.out cscope.in.out cscope.po.out cscope.files |
| 458 | |
| 459 | distdir: $(DISTFILES) |
| 460 | $(am__remove_distdir) |
| 461 | test -d "$(distdir)" || mkdir "$(distdir)" |
| 462 | @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| 463 | topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| 464 | list='$(DISTFILES)'; \ |
| 465 | dist_files=`for file in $$list; do echo $$file; done | \ |
| 466 | sed -e "s|^$$srcdirstrip/||;t" \ |
| 467 | -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| 468 | case $$dist_files in \ |
| 469 | */*) $(MKDIR_P) `echo "$$dist_files" | \ |
| 470 | sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ |
| 471 | sort -u` ;; \ |
| 472 | esac; \ |
| 473 | for file in $$dist_files; do \ |
| 474 | if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| 475 | if test -d $$d/$$file; then \ |
| 476 | dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ |
| 477 | if test -d "$(distdir)/$$file"; then \ |
| 478 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| 479 | fi; \ |
| 480 | if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| 481 | cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ |
| 482 | find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| 483 | fi; \ |
| 484 | cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ |
| 485 | else \ |
| 486 | test -f "$(distdir)/$$file" \ |
| 487 | || cp -p $$d/$$file "$(distdir)/$$file" \ |
| 488 | || exit 1; \ |
| 489 | fi; \ |
| 490 | done |
| 491 | -test -n "$(am__skip_mode_fix)" \ |
| 492 | || find "$(distdir)" -type d ! -perm -755 \ |
| 493 | -exec chmod u+rwx,go+rx {} \; -o \ |
| 494 | ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ |
| 495 | ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ |
| 496 | ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ |
| 497 | || chmod -R a+r "$(distdir)" |
| 498 | dist-gzip: distdir |
| 499 | tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz |
| 500 | $(am__post_remove_distdir) |
| 501 | |
| 502 | dist-bzip2: distdir |
| 503 | tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2 |
| 504 | $(am__post_remove_distdir) |
| 505 | |
| 506 | dist-lzip: distdir |
| 507 | tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz |
| 508 | $(am__post_remove_distdir) |
| 509 | |
| 510 | dist-xz: distdir |
| 511 | tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz |
| 512 | $(am__post_remove_distdir) |
| 513 | |
| 514 | dist-tarZ: distdir |
| 515 | tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z |
| 516 | $(am__post_remove_distdir) |
| 517 | |
| 518 | dist-shar: distdir |
| 519 | shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz |
| 520 | $(am__post_remove_distdir) |
| 521 | |
| 522 | dist-zip: distdir |
| 523 | -rm -f $(distdir).zip |
| 524 | zip -rq $(distdir).zip $(distdir) |
| 525 | $(am__post_remove_distdir) |
| 526 | |
| 527 | dist dist-all: |
| 528 | $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:' |
| 529 | $(am__post_remove_distdir) |
| 530 | |
| 531 | # This target untars the dist file and tries a VPATH configuration. Then |
| 532 | # it guarantees that the distribution is self-contained by making another |
| 533 | # tarfile. |
| 534 | distcheck: dist |
| 535 | case '$(DIST_ARCHIVES)' in \ |
| 536 | *.tar.gz*) \ |
| 537 | GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\ |
| 538 | *.tar.bz2*) \ |
| 539 | bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\ |
| 540 | *.tar.lz*) \ |
| 541 | lzip -dc $(distdir).tar.lz | $(am__untar) ;;\ |
| 542 | *.tar.xz*) \ |
| 543 | xz -dc $(distdir).tar.xz | $(am__untar) ;;\ |
| 544 | *.tar.Z*) \ |
| 545 | uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ |
| 546 | *.shar.gz*) \ |
| 547 | GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\ |
| 548 | *.zip*) \ |
| 549 | unzip $(distdir).zip ;;\ |
| 550 | esac |
| 551 | chmod -R a-w $(distdir) |
| 552 | chmod u+w $(distdir) |
| 553 | mkdir $(distdir)/_build $(distdir)/_inst |
| 554 | chmod a-w $(distdir) |
| 555 | test -d $(distdir)/_build || exit 0; \ |
| 556 | dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ |
| 557 | && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ |
| 558 | && am__cwd=`pwd` \ |
| 559 | && $(am__cd) $(distdir)/_build \ |
| 560 | && ../configure --srcdir=.. --prefix="$$dc_install_base" \ |
| 561 | $(AM_DISTCHECK_CONFIGURE_FLAGS) \ |
| 562 | $(DISTCHECK_CONFIGURE_FLAGS) \ |
| 563 | && $(MAKE) $(AM_MAKEFLAGS) \ |
| 564 | && $(MAKE) $(AM_MAKEFLAGS) dvi \ |
| 565 | && $(MAKE) $(AM_MAKEFLAGS) check \ |
| 566 | && $(MAKE) $(AM_MAKEFLAGS) install \ |
| 567 | && $(MAKE) $(AM_MAKEFLAGS) installcheck \ |
| 568 | && $(MAKE) $(AM_MAKEFLAGS) uninstall \ |
| 569 | && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ |
| 570 | distuninstallcheck \ |
| 571 | && chmod -R a-w "$$dc_install_base" \ |
| 572 | && ({ \ |
| 573 | (cd ../.. && umask 077 && mkdir "$$dc_destdir") \ |
| 574 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \ |
| 575 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ |
| 576 | && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ |
| 577 | distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ |
| 578 | } || { rm -rf "$$dc_destdir"; exit 1; }) \ |
| 579 | && rm -rf "$$dc_destdir" \ |
| 580 | && $(MAKE) $(AM_MAKEFLAGS) dist \ |
| 581 | && rm -rf $(DIST_ARCHIVES) \ |
| 582 | && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \ |
| 583 | && cd "$$am__cwd" \ |
| 584 | || exit 1 |
| 585 | $(am__post_remove_distdir) |
| 586 | @(echo "$(distdir) archives ready for distribution: "; \ |
| 587 | list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ |
| 588 | sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' |
| 589 | distuninstallcheck: |
| 590 | @test -n '$(distuninstallcheck_dir)' || { \ |
| 591 | echo 'ERROR: trying to run $@ with an empty' \ |
| 592 | '$$(distuninstallcheck_dir)' >&2; \ |
| 593 | exit 1; \ |
| 594 | }; \ |
| 595 | $(am__cd) '$(distuninstallcheck_dir)' || { \ |
| 596 | echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \ |
| 597 | exit 1; \ |
| 598 | }; \ |
| 599 | test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \ |
| 600 | || { echo "ERROR: files left after uninstall:" ; \ |
| 601 | if test -n "$(DESTDIR)"; then \ |
| 602 | echo " (check DESTDIR support)"; \ |
| 603 | fi ; \ |
| 604 | $(distuninstallcheck_listfiles) ; \ |
| 605 | exit 1; } >&2 |
| 606 | distcleancheck: distclean |
| 607 | @if test '$(srcdir)' = . ; then \ |
| 608 | echo "ERROR: distcleancheck can only run from a VPATH build" ; \ |
| 609 | exit 1 ; \ |
| 610 | fi |
| 611 | @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ |
| 612 | || { echo "ERROR: files left in build directory after distclean:" ; \ |
| 613 | $(distcleancheck_listfiles) ; \ |
| 614 | exit 1; } >&2 |
| 615 | check-am: all-am |
| 616 | check: check-am |
| 617 | all-am: Makefile $(PROGRAMS) $(SCRIPTS) config.h |
| 618 | installdirs: |
| 619 | for dir in "$(DESTDIR)$(bindir)"; do \ |
| 620 | test -z "$$dir" || $(MKDIR_P) "$$dir"; \ |
| 621 | done |
| 622 | install: install-am |
| 623 | install-exec: install-exec-am |
| 624 | install-data: install-data-am |
| 625 | uninstall: uninstall-am |
| 626 | |
| 627 | install-am: all-am |
| 628 | @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| 629 | |
| 630 | installcheck: installcheck-am |
| 631 | install-strip: |
| 632 | if test -z '$(STRIP)'; then \ |
| 633 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| 634 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| 635 | install; \ |
| 636 | else \ |
| 637 | $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| 638 | install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| 639 | "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \ |
| 640 | fi |
| 641 | mostlyclean-generic: |
| 642 | |
| 643 | clean-generic: |
| 644 | |
| 645 | distclean-generic: |
| 646 | -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| 647 | -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) |
| 648 | -rm -f test/$(DEPDIR)/$(am__dirstamp) |
| 649 | -rm -f test/$(am__dirstamp) |
| 650 | |
| 651 | maintainer-clean-generic: |
| 652 | @echo "This command is intended for maintainers to use" |
| 653 | @echo "it deletes files that may require special tools to rebuild." |
| 654 | clean: clean-am |
| 655 | |
| 656 | clean-am: clean-binPROGRAMS clean-generic mostlyclean-am |
| 657 | |
| 658 | distclean: distclean-am |
| 659 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| 660 | -rm -rf test/$(DEPDIR) |
| 661 | -rm -f Makefile |
| 662 | distclean-am: clean-am distclean-compile distclean-generic \ |
| 663 | distclean-hdr distclean-tags |
| 664 | |
| 665 | dvi: dvi-am |
| 666 | |
| 667 | dvi-am: |
| 668 | |
| 669 | html: html-am |
| 670 | |
| 671 | html-am: |
| 672 | |
| 673 | info: info-am |
| 674 | |
| 675 | info-am: |
| 676 | |
| 677 | install-data-am: |
| 678 | |
| 679 | install-dvi: install-dvi-am |
| 680 | |
| 681 | install-dvi-am: |
| 682 | |
| 683 | install-exec-am: install-binPROGRAMS |
| 684 | |
| 685 | install-html: install-html-am |
| 686 | |
| 687 | install-html-am: |
| 688 | |
| 689 | install-info: install-info-am |
| 690 | |
| 691 | install-info-am: |
| 692 | |
| 693 | install-man: |
| 694 | |
| 695 | install-pdf: install-pdf-am |
| 696 | |
| 697 | install-pdf-am: |
| 698 | |
| 699 | install-ps: install-ps-am |
| 700 | |
| 701 | install-ps-am: |
| 702 | |
| 703 | installcheck-am: |
| 704 | |
| 705 | maintainer-clean: maintainer-clean-am |
| 706 | -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| 707 | -rm -rf $(top_srcdir)/autom4te.cache |
| 708 | -rm -rf test/$(DEPDIR) |
| 709 | -rm -f Makefile |
| 710 | maintainer-clean-am: distclean-am maintainer-clean-generic |
| 711 | |
| 712 | mostlyclean: mostlyclean-am |
| 713 | |
| 714 | mostlyclean-am: mostlyclean-compile mostlyclean-generic |
| 715 | |
| 716 | pdf: pdf-am |
| 717 | |
| 718 | pdf-am: |
| 719 | |
| 720 | ps: ps-am |
| 721 | |
| 722 | ps-am: |
| 723 | |
| 724 | uninstall-am: uninstall-binPROGRAMS |
| 725 | |
| 726 | .MAKE: all install-am install-strip |
| 727 | |
| 728 | .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \ |
| 729 | clean-binPROGRAMS clean-cscope clean-generic cscope \ |
| 730 | cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \ |
| 731 | dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \ |
| 732 | distcheck distclean distclean-compile distclean-generic \ |
| 733 | distclean-hdr distclean-tags distcleancheck distdir \ |
| 734 | distuninstallcheck dvi dvi-am html html-am info info-am \ |
| 735 | install install-am install-binPROGRAMS install-data \ |
| 736 | install-data-am install-dvi install-dvi-am install-exec \ |
| 737 | install-exec-am install-html install-html-am install-info \ |
| 738 | install-info-am install-man install-pdf install-pdf-am \ |
| 739 | install-ps install-ps-am install-strip installcheck \ |
| 740 | installcheck-am installdirs maintainer-clean \ |
| 741 | maintainer-clean-generic mostlyclean mostlyclean-compile \ |
| 742 | mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \ |
| 743 | uninstall-am uninstall-binPROGRAMS |
| 744 | |
| 745 | |
| 746 | # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| 747 | # Otherwise a system limit (for SysV at least) may be exceeded. |
| 748 | .NOEXPORT: |